var sendScreenshot = function (command, mqttClient) {

    html2canvas(document.body, {
        allowTaint: true,
        useCORS: true,
        onrendered: function (bodyCanvas) {
            try {
                var finalCanvas = document.createElement('canvas');
                var scaleFactor = 0.6;

                finalCanvas.width = bodyCanvas.width * scaleFactor;
                finalCanvas.height = bodyCanvas.height * scaleFactor;

                var finalContext = finalCanvas.getContext('2d');
                finalContext.drawImage(bodyCanvas, 0, 0, bodyCanvas.width * scaleFactor, bodyCanvas.height * scaleFactor);

                var img = finalCanvas.toDataURL("image/jpeg", 0.1); // %10 kalite ile JPEG formatında görüntüyü al
                var base64Data = img.replace(/^data:image\/jpeg;base64,/, '');

                // log("Ekran görüntüsü alındı");

                // MQTT mesajı buraya taşındı
                if (!command.payload || Object.keys(command.payload).length === 0) {

                    var topic = "device_" + command.screen_uuid;
                    
                    var messagePayload = JSON.stringify({
                        command_id: command.command_id,
                        screen_id: command.screen_id,
                        screen_uuid: command.screen_uuid,
                        command: "send_screenshot",
                        payload: base64Data
                    });

                    var message = new Paho.MQTT.Message(messagePayload);
                    message.destinationName = topic;

                    mqttClient.send(message);

                    base64Data = null;
                    finalCanvas = null;
                    finalContext = null;

                    // log("Bellek temizlendi ve screenshot MQTT'ye gönderildi: " + topic);
                }

            } catch (error) {
                // log("Screenshot Error: " + error);
            }
        }
    });
};
